{
  "name": "test-project",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@gsap/react": "^2.1.0",
    "@reduxjs/toolkit": "^2.2.1",
    "@testing-library/jest-dom": "^5.17.0",
    "@testing-library/react": "^13.4.0",
    "@testing-library/user-event": "^13.5.0",
    "@types/gsap": "^3.0.0",
    "@types/jest": "^27.5.2",
    "@types/node": "^16.18.88",
    "@types/react": "^18.2.65",
    "@types/react-dom": "^18.2.21",
    "gsap": "^3.12.5",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-redux": "^9.1.0",
    "react-scripts": "5.0.1",
    "styled-components": "^6.1.8",
    "swiper": "^11.0.7",
    "typescript": "^4.9.5",
    "web-vitals": "^2.1.4"
  },
  "scripts": {
    "start": "cross-env TS_NODE_PROJECT=\"webpack/tsconfig.json\" webpack serve --config=\"webpack/webpack.dev-config.ts\" --open",
    "build": "cross-env TS_NODE_PROJECT=\"webpack/tsconfig.json\" webpack --config=\"webpack/webpack.prod-config.ts\"",
    "test": "react-scripts test",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/preset-env": "^7.24.1",
    "@babel/preset-react": "^7.24.1",
    "@babel/preset-typescript": "^7.24.1",
    "@trivago/prettier-plugin-sort-imports": "^4.3.0",
    "@types/swiper": "^6.0.0",
    "babel-loader": "^9.1.3",
    "copy-webpack-plugin": "^12.0.2",
    "cross-env": "^7.0.3",
    "html-webpack-plugin": "^5.6.0",
    "prettier": "^3.2.5",
    "ts-loader": "^9.5.1",
    "ts-node": "^10.9.2",
    "webpack": "^5.90.3",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.15.1"
  }
}
